%define	name	xfsdump
%define	version	2.2.42
%define	release	%mkrel 3

Summary:	Administrative utilities for the XFS filesystem
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%{name}_%{version}-1.tar.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	attr-devel
BuildRequires:	libext2fs-devel
BuildRequires:	xfs-devel
BuildRequires:	dm-devel
BuildRequires:	ncurses-devel
BuildRequires:	libtool

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep
%setup -q
# make it lib64 aware, better make a patch?
#perl -pi -e "/(libuuid|pkg_s?lib_dir)=/ and s|/lib\b|/%{_lib}|;" configure

%build
aclocal && autoconf
%configure2_5x --libdir=/%{_lib}  --sbindir=/sbin --bindir=/usr/sbin
%make DEBUG=-DNDEBUG OPTIMIZER="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
make install DIST_ROOT=%{buildroot}/

# nuke files already packaged as %doc
rm -rf %{buildroot}%{_datadir}/doc/xfsdump/

# for coerency, rename xfsdump|xfsrestore to dump|restore.xfs
mv %{buildroot}/sbin/xfsdump %{buildroot}/sbin/dump.xfs
mv %{buildroot}/sbin/xfsrestore %{buildroot}/sbin/restore.xfs
ln -sf /sbin/dump.xfs %{buildroot}/sbin/xfsdump
ln -sf /sbin/restore.xfs %{buildroot}/sbin/xfsrestore
ln -sf %{_mandir}/man8/xfsdump.8 %{buildroot}%{_mandir}/man8/dump.xfs
ln -sf %{_mandir}/man8/xfsrestore.8 %{buildroot}%{_mandir}/man8/restore.xfs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING doc/INSTALL doc/PORTING doc/README.xfsdump
/sbin/*
%{_sbindir}/*
%{_mandir}/*/*


%changelog
* Sat Mar 03 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.42-3mdv2007.0
+ Revision: 131817
- commented perl regexp in %%setup section as configure file is not yet created at that stage.
- Import xfsdump



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.42-2mdv2007.0
- Rebuild

* Fri Aug 25 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.42-1mdv2007.0
- Release 2.2.42.

* Sat Jul 08 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.38-1mdv2007.0
- Release 2.2.38.

* Fri May 05 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.33-1mdk
- Release 2.2.33.

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.30-3mdk
- add BuildRequires: libtool

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.2.30-2mdk
- Rebuild

* Tue Aug 02 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.2.30-1mdk
- 2.2.30.
- Renamed xfsdump|xfsrestore to dump|restore.xfs (pixel).
- Removed Patch0 (merged upstream).

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.21-2mdk
- Patch 0 : Fix build with Gcc4 

* Sat May 22 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.21-1mdk
- 2.2.21.

* Thu Apr 29 2004 Juan Quintela <quintela@mandrakesoft.com> 2.2.19-1mdk
- 2.2.19.

* Thu Feb 26 2004 Thomas Backlund <tmb@mandrake.org> 2.2.16-1mdk
- done by Per yvind Karlsen
  * 2.2.16
  * cosmetics
  * drop prefix tag

* Mon Oct 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.13-2mdk
- lib64 fixes

* Fri Aug  8 2003 Juan Quintela <quintela@mandrakesoft.com> 2.2.13-1mdk
- 2.2.13.

* Wed Jul 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.12-2mdk
- fix buildrequires

* Fri Jul 18 2003 Juan Quintela <quintela@mandrakesoft.com> 2.2.12-1mdk
- 2.2.12.

* Wed Jun 18 2003 Juan Quintela <quintela@trasno.org> 2.2.6-1mdk
- 2.2.6

* Wed Jul 24 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3

* Wed Jul 10 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Thu Mar  7 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0

* Tue Nov 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7.

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.3-2mdk
- BuildRequires: libext2fs-devel
- Copyright --> License

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3.
- rework spec files and adjust requires.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.5-1mdk
- Fist attempt based on the SGI spec.


# end of file
